package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class DataEntryResep
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "RM_DataEntryResep_M")
public class DataEntryResepVO extends BaseMasterVO {
	@NotNull(message="Qty tidak boleh kosong")
	@Column(name = "Qty", nullable = false, length = 100)
	@Caption(value = "Qty")
	private String qty;
	public void setQty(String qty)
	{
		this.qty = qty;
	}
	public String getQty()
	{
		 return this.qty;
	}


	@NotNull(message="JenisKelamin tidak boleh kosong")
	@Column(name = "JenisKelamin", nullable = false, length = 100)
	@Caption(value = "JenisKelamin")
	private String jenisKelamin;
	public void setJenisKelamin(String jenisKelamin)
	{
		this.jenisKelamin = jenisKelamin;
	}
	public String getJenisKelamin()
	{
		 return this.jenisKelamin;
	}


	@NotNull(message="Satuan tidak boleh kosong")
	@Column(name = "Satuan", nullable = false, length = 100)
	@Caption(value = "Satuan")
	private String satuan;
	public void setSatuan(String satuan)
	{
		this.satuan = satuan;
	}
	public String getSatuan()
	{
		 return this.satuan;
	}


	@NotNull(message="Harga tidak boleh kosong")
	@Column(name = "Harga", nullable = false, length = 100)
	@Caption(value = "Harga")
	private String harga;
	public void setHarga(String harga)
	{
		this.harga = harga;
	}
	public String getHarga()
	{
		 return this.harga;
	}


	@NotNull(message="Embalace tidak boleh kosong")
	@Column(name = "Embalace", nullable = false, length = 100)
	@Caption(value = "Embalace")
	private String embalace;
	public void setEmbalace(String embalace)
	{
		this.embalace = embalace;
	}
	public String getEmbalace()
	{
		 return this.embalace;
	}


	@NotNull(message="Diskon tidak boleh kosong")
	@Column(name = "Diskon", nullable = false, length = 100)
	@Caption(value = "Diskon")
	private String diskon;
	public void setDiskon(String diskon)
	{
		this.diskon = diskon;
	}
	public String getDiskon()
	{
		 return this.diskon;
	}


	@NotNull(message="Jasa tidak boleh kosong")
	@Column(name = "Jasa", nullable = false, length = 100)
	@Caption(value = "Jasa")
	private String jasa;
	public void setJasa(String jasa)
	{
		this.jasa = jasa;
	}
	public String getJasa()
	{
		 return this.jasa;
	}


	@NotNull(message="Subtotal tidak boleh kosong")
	@Column(name = "Subtotal", nullable = false, length = 100)
	@Caption(value = "Subtotal")
	private String subtotal;
	public void setSubtotal(String subtotal)
	{
		this.subtotal = subtotal;
	}
	public String getSubtotal()
	{
		 return this.subtotal;
	}


	@NotNull(message="Info tidak boleh kosong")
	@Column(name = "Info", nullable = false, length = 100)
	@Caption(value = "Info")
	private String info;
	public void setInfo(String info)
	{
		this.info = info;
	}
	public String getInfo()
	{
		 return this.info;
	}



}